NAME

    stp - Set Task Priority

SYNTAX

    stp <hexadecimal TCB address> <decimal priority>

DESCRIPTION

    This command allows the dynamic adjustment of a task's priority for
    any task currently in the system.  A hexadecimal Task Control 
    Block (TCB) address must be specified.  This address is checked
    for validity.  A decimal priority in the range of -128 to 127 must
    also be specified.  This is also checked for validity.  

    The TCB is specified in hexadecimal, and the priority in decimal,
    because, by convention, this is the format used by most 'ps'
    type utilities.

SEE ALSO

    eps

BUGS

    This command allows the priority of ANY task in the system to be
    arbitrarily changed.  Changing system tasks' priorities is, in
    general, a BAD idea.

AUTHOR

    Jeffrey Bailey
    Programmer/Analyst
    Nova University
    Ft. Lauderdale, FL  33324
    UUCP:...{ihnp4!codas, ucf-cs, allegra}!novavax!jeff
    UUCP:...{ihnp4!codas, ucf-cs, allegra}!novavax!regulus!jeff  (Private)
